Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskListenerRegReq

    java.lang.Object
      com.bea.wli.worklist.api.TaskListenerRegReq

All Implemented Interfaces:
  Serializable

Deprecated.

    public class TaskListenerRegReq

extends Object
implements Serializable

Request to register a TaskListener for a task and given event types TODO: Should this be public for 9.2?

See Also:
  Serialized Form

Constructor Summary
`TaskListenerRegReq()` Deprecated.

Method Summary
`String` | `getConversationId()` Deprecated.
`TaskEvent.Type[]` | `getEventTypes()` Deprecated.
`String` | `getServiceURI()` Deprecated.
`String` | `getTaskId()` Deprecated.
`String` | `getToken()` Deprecated.
`String` | `getWsdl()` Deprecated.
`void` | `setConversationId(String conversationId)` Deprecated.
`void` | `setEventTypes(TaskEvent.Type[] eventTypes)` Deprecated.
`void` | `setServiceURI(String serviceURI)` Deprecated.
`void` | `setTaskId(String taskId)` Deprecated.
`void` | `setToken(String token)` Deprecated.
`void` | `setWsdl(String wsdl)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskListenerRegReq

    public TaskListenerRegReq()

  Deprecated.

Method Detail

### setTaskId

    public void setTaskId(String taskId)

  Deprecated.

### getTaskId

    public String getTaskId()

  Deprecated.

### setEventTypes

    public void setEventTypes(TaskEvent.Type[] eventTypes)

  Deprecated.

### getEventTypes

    public TaskEvent.Type[] getEventTypes()

  Deprecated.

### getToken

    public String getToken()

  Deprecated.

### setToken

    public void setToken(String token)

  Deprecated.

### getConversationId

    public String getConversationId()

  Deprecated.

### setConversationId

    public void setConversationId(String conversationId)

  Deprecated.

### getServiceURI

    public String getServiceURI()

  Deprecated.

### setServiceURI

    public void setServiceURI(String serviceURI)

  Deprecated.

### getWsdl

    public String getWsdl()

  Deprecated.

### setWsdl

    public void setWsdl(String wsdl)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD